import { ColumnType, Generated, Insertable, Selectable, Updateable } from "kysely";

/**
 * "Code"	TEXT,
	"Date"	TEXT,
	"Close"	INTEGER NOT NULL,
	"Diff"	INTEGER NOT NULL,
	"Open"	INTEGER NOT NULL,
	"High"	INTEGER NOT NULL,
	"Low"	INTEGER NOT NULL,
	"Volume"	INTEGER NOT NULL,
 */

export interface StockTable {
    Code: string;
    Date: string;
    Close: number;
    Diff: number;
    Open: number;
    High: number;
    Low: number;
    Volume: number;
}

export interface KRXCorpTable{
    Name: string;
    /**
     * PK
     */
    Code: string;

    Sector: string;
    Product: string;
    ListingDay: string;
    ClosingMonth: string;
    Representative: string;
    Homepage: string;
    AddressArea: string;
    LastUpdate: string;
}

export interface KOSPITable{
    Name: string;
    /**
     * PK
     */
    Code: string;
}

export interface KOSDAQTable{
    Name: string;
    /**
     * PK
     */
    Code: string;
}


export interface Database {
    stock: StockTable;
    KRXCorp: KRXCorpTable;
    KOSPI: KOSPITable;
    KOSDAQ: KOSDAQTable;
}